function DBwritePCLHR(DATAinsert,idElabData,ListaDate,NodeNum,IDcentralina,DTcatena,conn)

nNodo = num2str(NodeNum);
l = ListaDate;

for ii=1:l
    idData = idElabData(ii,1);
    if  idData == 0 % Se la data non è su DB (=0), scrivo i dati
        tablename = 'ELABDATADISP';
        colnames = {'ToolNameID','NodeNum','EventDate','EventTime','X',...
            'Y','Z','XShift','YShift','ZShift','HShift_local',...
            'T_node','week_shift','week_shift_x','week_shift_y','week_shift_z'};
        data = [DATAinsert(ii,1),DATAinsert(ii,2),DATAinsert(ii,3),...
            DATAinsert(ii,4),DATAinsert(ii,5),DATAinsert(ii,6),...
            DATAinsert(ii,7),DATAinsert(ii,8),DATAinsert(ii,9),...
            DATAinsert(ii,10),DATAinsert(ii,11),DATAinsert(ii,12),...
            DATAinsert(ii,13),DATAinsert(ii,14),DATAinsert(ii,15),...
            DATAinsert(ii,16)];       
        fastinsert(conn,tablename,colnames,data);
    else % altrimenti li aggiorno
        tablename = 'ELABDATADISP';
        colnames = {'X','Y','Z','XShift','YShift','ZShift',...
            'HShift_local','T_node','week_shift','week_shift_x','week_shift_y','week_shift_z'};
        data = [DATAinsert(ii,5),DATAinsert(ii,6),DATAinsert(ii,7),...
            DATAinsert(ii,8),DATAinsert(ii,9),DATAinsert(ii,10),DATAinsert(ii,11),...
            DATAinsert(ii,12), DATAinsert(ii,13),DATAinsert(ii,14),DATAinsert(ii,15),...
            DATAinsert(ii,16)];
        whereclause = ['WHERE ToolNameID = ''' DTcatena ''' and NodeNum = ''' ...
            nNodo ''' and EventDate = ''' cell2mat(DATAinsert(ii,3))...
            ''' and EventTime = ''' cell2mat(DATAinsert(ii,4)) ''' '];
        update(conn,tablename,colnames,data,whereclause)
    end
end

end